=== debian/changelog ===
debian-edu-config (2.11.12) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix LDAP setup, broken as of autofs-ldap version 5.1.6:
    - Add ldap/schema/autofs-debian-edu.schema
    - Adjust etc/ldap/slapd-debian-edu.conf and Makefile.
    As the schema file shipped with autofs-ldap is no longer compatible with
    ldap-bootstrap/autofs.ldif, the Buster version (5.1.2) schema file is used.
    The schema file has been changed upstream in v. 5.1.3 with this comment:
    "The schema was corrected somewhere along the line but the autofs
    distribution copy was never updated. The schema has now been
    updated but it is not recommended for use as the schema for autofs
    map information."

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Jan 2020 13:10:48 +0100

debian-edu-config (2.11.11) unstable; urgency=medium

  [ Dominik George ]
  * Amend last changelog entry with CVE.
  * debian/control: Reference Debian Edu in binary package description
  * Follow-up for CVE-2019-3467:
    - Add NEWS to warn administrators with possible local changes.
  * Keep proxy settings on client if wpad is unreachable (Closes: #941001)
    - Remove use of eval `...` while at it to minimise security risks

  [ Holger Levsen ]
  * Close #936375 in 2.11.7 changelog entry.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 15:06:22 +0100

debian-edu-config (2.11.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Set proper rights for users in kadm5.acl file. (Closes: #946797)
    - Security fix for CVE-2019-3467
  * Adjust debian/debian-edu-config.postinst to fix kadm5.acl upon upgrades.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Git.

  [ Holger Levsen ]
  * Improve debian/debian-edu-config.postinst fix to only run once on
    upgrades.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Dec 2019 16:56:24 +0100

debian-edu-config (2.11.9) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Update kdc.conf content from template shipped with the krb5-kdc package.
      This fixes the recently broken Kerberos setup.
  * Replace workaround for rootCA certificate integration (both firefox-esr and
    thunderbird 68.2.x) with a nowadays recommended setup: (Closes: #944450)
    - Add policy file share/firefox-esr/distribution/policies.json.
      This makes sure that the Debian-Edu_rootCA.crt file gets installed as
      trusted certificate for firefox-esr and thunderbird.
      The policy also forces the Debian Edu startpage to be shown (instead of
      the Firefox one) at first launch; the Firefox privacy page is available
      via a second tab.
    - Drop share/debian-edu-config/{installs.ini,profiles.ini,profiles.ini.ff}.
      These files are no longer required.
    - Adjust related tools:
      + share/debian-edu-config/tools/gosa-create
      + share/debian-edu-config/tools/create-user-nssdb
      + share/debian-edu-config/tools/update-cert-dbs
      + ldap-tools/ldap-debian-edu-install
    - Adjust Makefile.
  * Drop workaround now that Squid bug #911325 has been fixed:
    - Remove share/debian-edu-config/squid.resolvconf
    - Adjust Makefile and cf3/cf.workarounds.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Nov 2019 10:07:29 +0100

debian-edu-config (2.11.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Drop workaround for NFS related bug #930125 (fixed in firefox-esr 68.2.x):
    - Remove share/debian-edu-config/edu-firefox-nfs.
    - Adjust cf3/cf.workarounds and Makefile.
  * Adjustments for changed education menu re-structuring:
    - cf3/edu.cf: Re-define class 'Workstation' condition.
    - share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs and
      debian/debian-edu-config.postinst: Drop desktop-profiles related code.
    - cf3/cf.finalize: Remove desktop-profiles related editing.
    - d/control: Drop Depends on desktop-profiles.
  * Cope with Firefox-ESR ini files that need to be different (as of version
    68.2.0esr) to further allow centralized configuration: (Closes: #944013)
    - Add share/debian-edu-config/profiles.ini.ff (Firefox-ESR profiles.ini).
    - Add share/debian-edu-config/installs.ini (now needed in addition for users
      that don't have a Firefox-ESR profile, i.e. new users).
    - Adjust share/debian-edu-config/tools/gosa-create which is used to copy
      the related Firefox-ESR ini files.
    - Ajust Makefile.
    - Adjust ldap-tools/ldap-debian-edu-install (fix for the first user).

 -- Holger Levsen <holger@debian.org>  Mon, 04 Nov 2019 18:22:46 +0800

debian-edu-config (2.11.7) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * etc/ltspfs/mounter.d/edu-notify:
    Adjust for using notify2 instead of pynotify.
  * debian/control: Replace python-notify with python3-notify2. Closes: #943573
    Thanks to Jeremy Bicha.
  * debian/control: Add Depends on python3, thanks Lintian. Closes: #936375

  [ Holger Levsen ]
  * share/debian-edu-config/pam-nopwdchange.py: converted to python3 with
    python-modernize.
  * debian/control: Drop Depends on python.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Oct 2019 13:10:12 +0100

debian-edu-config (2.11.6) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * cf3/cf.workarounds: Fix syntax.
  * testsuite/icinga: Adjust for moving from icinga to icinga2 and
    icinga2-classicui.
  * testsuite/ltsp: Adjust for reworked LDAP certificate setup.
  * testsuite/cups: Adjust for central ipp server.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Oct 2019 13:26:45 +0200

debian-edu-config (2.11.5) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/passwords_stub.dat:
    - adjust after replacing icinga with icinga2 and icinga2-classicui.
  * Improve usage information and comments:
    - ldap-tools/debian-edu-ldap-install

