## debian-edu-config 2.11.34

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 dhcpdir   = $(sysconfdir)/dhcp
 libdir     = /usr/lib
 pkglibdir  = $(libdir)/debian-edu-config
-mailcapdir = $(libdir)/mime/packages
 vardir     = /var
 wwwdir     = /etc/debian-edu/www
 
@@ -58,9 +57,9 @@
 	cf.squid \
 	cf.sshd \
 	cf.syslog \
-	cf.tftpd \
 	cf.workarounds \
 	cf.xrdp \
+	cf.icinga \
 	edu.cf \
 	promises.cf
 
@@ -75,7 +74,6 @@
 	bind/db.0.168.192.in-addr.arpa. \
 	bind/db.1.168.192.in-addr.arpa. \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
-	X11/Xsession.d/06debian-edu-firefox-ltsp \
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/55lightdm_gtk-greeter-rc \
@@ -95,38 +93,14 @@
 	dovecot/local.conf \
 	exim4/exim-ldap-client-v4.conf \
 	exim4/exim-ldap-server-v4.conf \
+	exports.d/edu.exports \
 	filesystems \
 	firefox-esr/debian-edu.js \
 	php/apache2/php-debian-edu.ini \
 	insserv/overrides/ntp \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu.conf \
-	ltsp/ltsp-build-client.conf \
-	network/if-up.d/wpad-proxy-update \
-	samba/netlogon/1stlogon/1stlogon.bat \
-	samba/netlogon/config/get_time.bat \
-	samba/netlogon/config/penguin.bat \
-	samba/netlogon/config/setglobals.bat \
-	samba/netlogon/config/standarddrives-students.bat \
-	samba/netlogon/config/standarddrives-teachers.bat \
-	samba/netlogon/debian-edu-login.bat \
-	samba/netlogon/_default_/default.bat \
-	samba/netlogon/install/shortcut.vbs \
-	samba/netlogon/logon-admins.bat \
-	samba/netlogon/logon-jradmins.bat \
-	samba/netlogon/logon-students.bat \
-	samba/netlogon/logon-teachers.bat \
-	samba/netlogon/mozilla/firefox/prefs.js \
-	samba/netlogon/mozilla/mkmozapd.bat \
-	samba/netlogon/mozilla/profiles.ini.FIREFOX \
-	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
-	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
-	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
-	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
-	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
-	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
 	samba/smb-debian-edu.conf \
-	samba/samba-domain-policy.ldif \
 	slbackup-php/config.php \
 	smbldap-tools/smbldap_bind.conf \
 	smbldap-tools/smbldap.conf \
@@ -157,21 +131,14 @@
 	nagios3/debian-edu/service_templates.cfg \
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf \
-	polkit-1/localauthority.conf.d/80-edu-admin.conf \
-	nbd-server/conf.d/debian-edu.conf
-
-LIBFILES = \
-	mime/packages/debian-edu-mailcap
+	polkit-1/localauthority.conf.d/80-edu-admin.conf
 
 SYSCONFSCRIPTS = \
-	ltspfs/mounter.d/edu-notify \
 	mklocaluser.d/20-debian-edu-config \
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
-	resolvconf/update.d/ltsp-chroots \
 	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
-	X11/Xsession-debian-edu \
-	samba/smbaddclient.sh
+	X11/Xsession-debian-edu
 
 SCHEMAS = \
 	autofs-debian-edu.schema \
@@ -220,21 +187,24 @@
 	index.html.da \
 	index.html.de \
 	index.html.en \
-	index.html.es_ES \
+	index.html.es-es \
 	index.html.fr \
 	index.html.id \
 	index.html.it \
 	index.html.ja \
-	index.html.no_NB \
+	index.html.nb-no \
 	index.html.nl \
 	index.html.pt \
-	index.html.pt_BR \
+	index.html.pt-br \
 	index.html.ro \
 	index.html.ru \
-	index.html.zh \
+	index.html.zh-tw \
 	skl-ren_css.css \
 	logo-trans.png \
 	wpad.dat
+
+LIBFILES = \
+	thunderbird/distribution/policies.json \
 
 all:
 	$(MAKE) -C www
@@ -245,7 +215,7 @@
 	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
-	install -d $(DESTDIR)$(mailcapdir)
+	install -d $(DESTDIR)$(libdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -287,11 +257,15 @@
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
 		share/debian-edu-config/tools/passwd \
+		share/debian-edu-config/tools/clean-up-host-keytabs \
+		share/debian-edu-config/tools/configure-edu-gateway \
 		share/debian-edu-config/tools/create-debian-edu-certs \
+		share/debian-edu-config/tools/create-server-cert \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
 		share/debian-edu-config/tools/setup-cfengine3 \
 		share/debian-edu-config/tools/debian-edu-bless \
+		share/debian-edu-config/tools/edu-ltsp-install\
 		share/debian-edu-config/tools/get-default-homepage \
 		share/debian-edu-config/tools/gosa-create \
 		share/debian-edu-config/tools/gosa-create-host \
@@ -310,12 +284,8 @@
 		share/debian-edu-config/tools/ldappasswd2 \
 		share/debian-edu-config/tools/locate-syslog-collector \
 		share/debian-edu-config/tools/logoutkill.sh \
-		share/debian-edu-config/tools/ltsp-addfirmware \
-		share/debian-edu-config/tools/ltsp-update-resolvconf \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
-		share/debian-edu-config/tools/nbdquery \
-		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/notify-local-users \
 		share/debian-edu-config/tools/package-disk-usage \
@@ -338,38 +308,21 @@
 		share/debian-edu-config/tools/ldap-server-getcert \
 		share/debian-edu-config/tools/exim4-create-environment \
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
+		share/debian-edu-config/tools/edu-icinga-setup \
 		share/debian-edu-config/tools/create-user-nssdb \
 		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/tools/improve-desktop-l10n \
 		share/debian-edu-config/tools/install-task-pkgs \
-		share/debian-edu-config/ltspfs-mounter-kde \
-		share/ltsp/get-ldap-ltsp-config \
-		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
+
 	set -e ; for f in \
-		share/ltsp/init-ltsp.d/08-edu-hostname \
-		share/ltsp/init-ltsp.d/09-edu-ldap-config \
-		share/ltsp/init-ltsp.d/60-edu-client \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	set -e ; for f in \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
-
-	set -e ; for f in \
+		share/debian-edu-config/avahi.smb.service \
 		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/smb.conf.edu-site \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
 		share/debian-edu-config/ssl.cnf \
@@ -377,3 +330,66 @@
 		share/debian-edu-config/v3.cnf \
 		share/debian-edu-config/v3CA.cnf \
 		share/debian-edu-config/debian-edu.addmachine.template \
+		share/debian-edu-config/debian-edu.ldapscripts.passwd \
+		share/debian-edu-config/passwords_stub.dat \
+		share/debian-edu-config/gosa.conf.template \
+		share/debian-edu-config/lightdm-gtk-greeter.conf \
+		share/debian-edu-config/sudo-ldap.conf \
+		share/pam-configs/edu-group \
+		share/pam-configs/edu-umask \
+		share/perl5/Debian/Edu.pm \
+		share/debian-edu-config/pam-config-ccreds-check \
+		share/debian-edu-config/pam-config-ccreds-save \
+		share/debian-edu-config/pam-config-mkhomedir \
+		share/debian-edu-config/pam-config-nopwdchange \
+		share/debian-edu-config/pam-nopwdchange.py \
+		share/firefox-esr/distribution/policies.json \
+	; do \
+		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
+	done
+
+# Using manpages autodetection : 
+	set -e ; for program in $(LDAPPROGRAMS) ; do \
+		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
+		if [ -e "share/man/man1/$$program.1" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		fi \
+	done
+	set -e ; for schema in $(SCHEMAS) ; do \
+		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
+	done
+	set -e ; for ldif in $(LDIFS) ; do \
+		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
+	done
+
+	set -e ; for file in $(WWWFILES) ; do \
+		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
+	done
+
+install-testsuite:
+	set -e ; for f in \
+		share/debian-edu-config/testsuite-lib.sh \
+	; do \
+		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
+	done
+
+	install -d $(DESTDIR)$(pkglibdir)/testsuite
+	set -e ; for test in testsuite/* ; do \
+		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
+	done
+
+
+
+clean:
+	$(MAKE) -C www $@
+
+dist:
+	debuild -us -uc
+
+status:
+	$(MAKE) -C www stats
+
+i18n-poke:
+	podebconf-report-po
+	podebconf-report-po --podir www
