=== debian/changelog ===
debian-edu-config (2.11.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve Samba configuration to support using PEAP-MSCHAPv2 with FreeRADIUS:
    - Add 'netbios name = tjener' in etc/samba/smb-debian-edu.conf (the value
      will be used as domain name).
    - Add ntlm auth stanza to share/debian-edu-config/smb.conf.edu-site (case
      restricted setting 'ntlm auth = mschapv2-and-ntlmv2-only').
  * share/debian-edu-config/tools/gosa-sync: Adjust Samba account related code
    introduced in d-e-c 2.11.33.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Oct 2020 17:41:06 +0100

debian-edu-config (2.11.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Don't mix LDAP and system groups to enable Samba usershares, use the already
    existing LDAP group 'students'. Thanks to Mike Gabriel for the hint.
    Adjust related files and configuration:
    - ldap-bootstrap/gosa.ldif: Add the first user to the 'students' group. This
      way all users belonging to the 'teachers' group will also be 'students'.
    - cf3/cf.samba: Use 'students' instead of 'sambashare' for the group
      ownership of the /var/lib/samba/usershares/ directory.
      (Running 'chown root:teachers /var/lib/samba/usershares' would disable
      usershares for 'students'; this needs to be documented in the manual.)
    - Drop code used to add sambashare group membership from:
      + share/debian-edu-config/tools/kerberos-kdc-init,
      + share/debian-edu-config/tools/edu-ldap-from-scratch,
      + share/debian-edu-config/tools/gosa-create and
      + share/debian-edu-config/tools/gosa-sync.
  * Remove Samba account along with POSIX account removal:
    - Adjust share/debian-edu-config/tools/gosa-remove.
  * Improve order of entries and comments in Samba related files:
    - Adjust etc/samba/smb-debian-edu.conf and
      share/debian-edu-config/smb.conf.edu-site.
  * Cleanup files from no longer needed Samba related entries:
    - ldap-bootstrap/netgroup.ldif,
    - ldap-bootstrap/root.ldif,
    - ldap-bootstrap/gosa.ldif and
    - share/debian-edu-config/gosa.conf.template
  * debian/control: Move libpam-python from Recommends to Suggests (until the
    package has been ported to Python3) to fix the src:debian-edu autopkgtest.
    See bug #967194 for details.

 -- Holger Levsen <holger@debian.org>  Sun, 25 Oct 2020 15:17:06 +0100

debian-edu-config (2.11.32) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/fetch-rootca-cert: Re-try rootCA retrieval if previous
    retrievals ended up with an empty Debian-Edu_rootCA.crt file in
    /usr/local/share/ca-certificates/. (Closes: #971775).

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.fetch-rootca-cert:
    - Avoid execution on the main server where things are already in place.
    - Adjust code to let the Debian-Edu_rootCA.crt file show up in the
      /etc/ssl/certs/ directory more reliably. (Closes: #971767).
    - Fix logging messages.
  * debian/control:
    - Lower Depends on libpam-python to Recommends. This way the src:debian-edu
      autopkgtest might succeed (until libpam-python3 becomes available).
    - Adjust Description field.
    - Use https://blends.debian.org/edu as homepage.
  * Move from deprecated, unusable Samba NT4-style PDC role to standalone server
    one to be compatible with OpenLDAP, MIT Kerberos and GOsa²:
    - Drop all domain related files.
    - Add code to debian/debian-edu-config.postinst to get those files removed.
    - Adjust etc/samba/smb-debian-edu.conf accordingly (also with support for
      non-root user usershares and override file included).
    - Add share/debian-edu-config/smb.conf.edu-site as override template file.
  * Re-work LDAP bootstrap and configuration file.
    - Move entries from ldap-bootstrap/samba.ldif to ldap-bootstrap/gosa.ldif
      and ldap-bootstrap/root.ldif respectively, now that Samba isn't contained
      in LDAP anymore.
    - etc/ldap/slapd-debian-edu.conf: Cleanup from Samba related entries.
  * share/debian-edu-config/gosa.conf.template:
    - Remove Samba related tab to prevent it from showing up in the GUI.
    - Add sambaHashHook="" to prevent Samba password hashes showing up in LDAP
      for security reasons.
  * Manage Samba accounts and sambashare group membership using GOsa² hooks.
    - share/debian-edu-config/tools/gosa-create: Add user to sambashare group.
    - share/debian-edu-config/tools/gosa-sync:
      Create a user Samba account and keep Samba and POSIX passwords in sync.
    - share/debian-edu-config/tools/gosa-lock-user: Also disable Samba account.
    - share/debian-edu-config/tools/gosa-unlock-user: Also enable Samba account.
    - share/debian-edu-config/tools/kerberos-kdc-init: Add samba account and
    - sambashare group membership for the special case 'first user'.
  * Use Avahi to publish Samba shares in the local network. This will also
    improve support for macOS using systems:
    - Add share/debian-edu-config/avahi.smb.service configuration file.
    - cf3/cf.samba: Conditionally copy the service file to the right place.
      (Also create the Samba usershares directory with proper rights.)
  * share/debian-edu-config/tools/edu-ldap-from-scratch:
    - Adjust to reflect the Samba related changes.
  * share/debian-edu-config/passwords_stub.dat:
    - Drop obsolete entries now that icinga2-classicui is gone.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2020 14:14:47 +0200

debian-edu-config (2.11.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * www/index.html.en:
    - Stop linking to http://www.linuxiskolen.no/slxdebianlabs/donations.html;
      the foundation has been shut down and the leftover money given to Debian.
  * www: update files after running 'make all'.
  * ldap-tools/ldap-debian-edu-install:
    - Drop Samba related code (deprecated NT4-style domain) to fix LDAP setup.
  * debian/NEWS: Drop file to avoid confusing users while upgrading from Buster;

