=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
            Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: po-debconf,
                      po4a,
                      help2man,
                      libfilesys-df-perl
-Homepage: https://www.skolelinux.org
+Homepage: https://blends.debian.org/edu
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config.git
 
@@ -41,7 +41,6 @@
          libnet-netmask-perl,
          libnss3-tools,
          libpacparser1,
-         libpam-python,
          libproxy1-plugin-kconfig,
          libproxy1-plugin-webkit,
          libproxy1-plugin-networkmanager,
@@ -51,7 +50,6 @@
          lsb-release,
          mime-support,
          net-tools,
-         netcat,
          ng-utils,
          openssl,
          patch,
@@ -67,7 +65,8 @@
             lsof,
             memtest86+,
             resolvconf,
-            syslinux
+            syslinux,
+Suggests: libpam-python,
 Description: Configuration files for Debian Edu (Skolelinux) systems
  Installs cfengine config files to be used by the machines set up as part
- of the Debian Edu pure blend (Skolelinux network).
+ of the Debian Edu (Skolelinux) network. Debian Edu is a Debian Pure Blend.
