## debian-edu-config 2.11.36

=== Makefile ===
--- 
+++ 
@@ -82,6 +82,7 @@
 	default/munin-node \
 	default/ldap2zone \
 	chromium/policies/managed/chromium-networked-prefs \
+	chromium/policies/recommended/search_provider.json \
 	cups/cupsd-debian-edu.conf \
 	cups/cups-files-debian-edu.conf \
 	dhcp/dhclient-exit-hooks.d/autofs-reload \
@@ -331,6 +332,7 @@
 		share/debian-edu-config/v3CA.cnf \
 		share/debian-edu-config/debian-edu.addmachine.template \
 		share/debian-edu-config/debian-edu.ldapscripts.passwd \
+		share/debian-edu-config/debian-edu-timesyncd.conf \
 		share/debian-edu-config/passwords_stub.dat \
 		share/debian-edu-config/gosa.conf.template \
 		share/debian-edu-config/lightdm-gtk-greeter.conf \
