=== debian/changelog ===
debian-edu-config (2.11.36) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Set DuckDuckGo as default search provider for both Firefox-ESR and Chromium.
    This setting isn't forced, users are allowed to change it, compare #955707:
    - Adjust share/firefox-esr/distribution/policies.json,
    - Add etc/chromium/policies/recommended/search_provider.json.
  * Improve homepage and startup page setup and newtab content for both
    Firefox-ESR and Chromium:
    - Adjust etc/firefox-esr/debian-edu.js,
    - Adjust share/debian-edu-config/tools/update-chromium-homepage.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Nov 2020 12:10:46 +0100

debian-edu-config (2.11.35) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/edu-ltsp-install:
    - Use http instead of https (debootstrap) to avoid a possible pitfall if a
      proxy isn't configured to use https.
    - Fix typo to avoid breaking home directory mounting (combined server).
  * share/debian-edu-config/tools/improve-desktop-l10n:
    - Also care for debian-edu-doc legacy packages.
  * Rework internal network time synchronization. This avoids to edit the ntp
    conffile on clients:
    - Add share/debian-edu-config/debian-edu-timesyncd.conf as override file for
      networked clients (with the exception of roaming workstations).
    - Adjust Makefile, cf3/cf.ntp and cf3/edu.cf accordingly.
  * debian/control: Move libpam-python back from Suggests to Recommends now
    that the package is available in testing again. (Not yet ported to Python3,
    but the Python2 related dependency chain doesn't fail any longer).

 -- Holger Levsen <holger@debian.org>  Mon, 09 Nov 2020 09:49:21 +0100
