=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
            Dominik George <natureshadow@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: po-debconf,
@@ -41,6 +41,7 @@
          libnet-netmask-perl,
          libnss3-tools,
          libpacparser1,
+         libpam-python,
          libproxy1-plugin-kconfig,
          libproxy1-plugin-webkit,
          libproxy1-plugin-networkmanager,
@@ -66,7 +67,6 @@
             memtest86+,
             resolvconf,
             syslinux,
-Suggests: libpam-python,
 Description: Configuration files for Debian Edu (Skolelinux) systems
  Installs cfengine config files to be used by the machines set up as part
  of the Debian Edu (Skolelinux) network. Debian Edu is a Debian Pure Blend.
