## debian-edu-config 2.11.37

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	chromium/policies/recommended/search_provider.json \
 	cups/cupsd-debian-edu.conf \
 	cups/cups-files-debian-edu.conf \
+	cups/cups-browsed-debian-edu.conf \
 	dhcp/dhclient-exit-hooks.d/autofs-reload \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
 	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
@@ -346,6 +347,10 @@
 		share/debian-edu-config/pam-config-nopwdchange \
 		share/debian-edu-config/pam-nopwdchange.py \
 		share/firefox-esr/distribution/policies.json \
+		share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override \
+		share/glib-2.0/schemas/31_debian-edu+mate.gschema.override \
+		share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override  \
+		share/mate-panel/layouts/debian-edu-mate.layout \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -376,22 +381,3 @@
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
-	install -d $(DESTDIR)$(pkglibdir)/testsuite
-	set -e ; for test in testsuite/* ; do \
-		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
-	done
-
-
-
-clean:
-	$(MAKE) -C www $@
-
-dist:
-	debuild -us -uc
-
-status:
-	$(MAKE) -C www stats
-
-i18n-poke:
-	podebconf-report-po
-	podebconf-report-po --podir www
