=== debian/changelog ===
debian-edu-config (2.11.37) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework CUPS configuration, thanks to Mike Gabriel. (Closes: #944347).
    Base Debian Edu specific configuration on recent CUPS configuration files:
    - etc/cups/cupsd-debian-edu.conf: Use ipp.intern as central print server,
      restrict access to preconfigured internal networks.
    - etc/cups/cups-files-debian-edu.conf: Add LDAP group 'printer-admins' as
      additional CUPS @SYSTEM group.
    - etc/cups/cups-browsed-debian-edu.conf: New file. Configure all other
      machines on the internal networks as clients using driverless printing.
    - cf3/cf.cups: Adjust to conditionally activate CUPS configuration.
    - www/*: Use FQDN for the print server, adjust PO and index files.
  * Move over configuration (i.e. non-artwork) related files from d-e-artwork
    for the sake of consistency. (Use different filenames to avoid conflicts.)
    - share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override
    - share/glib-2.0/schemas/31_debian-edu+mate.gschema.override
    - share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override
    - share/mate-panel/layouts/debian-edu-mate.layout
  * Adjust Makefile and debian/control to reflect the changes.

 -- Holger Levsen <holger@debian.org>  Mon, 23 Nov 2020 22:31:27 +0100
