## debian-edu-config 2.11.38

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	update-ini-file
 
 SPROGS = debian-edu-fsautoresize \
-	debian-edu-ltsp \
+	debian-edu-ltsp-install \
 	debian-edu-pxeinstall \
 	debian-edu-restart-services \
 	debian-edu-test-install \
@@ -267,7 +267,6 @@
 		share/debian-edu-config/tools/cups-queue-autoreenable \
 		share/debian-edu-config/tools/setup-cfengine3 \
 		share/debian-edu-config/tools/debian-edu-bless \
-		share/debian-edu-config/tools/edu-ltsp-install\
 		share/debian-edu-config/tools/get-default-homepage \
 		share/debian-edu-config/tools/gosa-create \
 		share/debian-edu-config/tools/gosa-create-host \
@@ -360,7 +359,7 @@
 		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
 		if [ -e "share/man/man1/$$program.1" ]; \
 		then \
-		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
 		fi \
 	done
 	set -e ; for schema in $(SCHEMAS) ; do \
@@ -381,3 +380,4 @@
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+	install -d $(DESTDIR)$(pkglibdir)/testsuite
