=== debian/changelog ===
debian-edu-config (2.11.38) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve LTSP related setup and management framework. (Closes: #969935).
    - Remove LTSP5 related tool sbin/debian-edu-ltsp.
    - Move share/debian-edu-config/tools/edu-ltsp-install to
      sbin/debian-edu-ltsp-install as tool for the re-written LTSP and improve
      it further:
      + Add example how to support 32-bit thin client.
      + Extend Firefox ESR configuration for the thin client 'desktop' variant.
      + Care for iPXE menu completion after adding additional chroots.
    - Add man page share/man/man8/debian-edu-ltsp-install.8.
    - Adjust share/debian-edu-config/d-i/finish-install, Makefile,
      share/debian-edu-config/tools/run-at-firstboot and
      debian/debian-edu-config.lintian-overrides to reflect the changes.
  * Adjust etc/dovecot/local.conf to match a recent Dovecot change. Now the IMAP
    server name needs to be set (instead of the hostname of the system the
    service is running on) for the Kerberos ticket to be accepted.
  * Add various man pages:
    - share/man/man8/debian-edu-fsautoresize.8
    - share/man/man1/debian-edu-ldapserver.1
    - share/man/man8/debian-edu-pxeinstall.8
    - share/man/man8/debian-edu-update-netblock.8
    - share/man/man1/ldap-debian-edu-install.1
    - share/man/man1/ldap2netgroup.1
    - share/man/man1/sitesummary2ldapdhcp.1
    - share/man/man8/update-hostname-from-ip.8
  * Makefile: Fix typo from years ago to get LDAP related man pages installed.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Dec 2020 01:31:54 +0100
